From a2f8b85237dd61a2b5e48ce9b77d7a4ceb87d14f Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 15 Feb 2025 10:59:30 +0000
Subject: [PATCH] flac: upgrade 1.4.3 -> 1.5.0

---
 .../flac/{flac_1.4.3.bb => flac_1.5.0.bb}     | 267 +++++++++++++++++-
 1 file changed, 261 insertions(+), 6 deletions(-)
 rename meta/recipes-multimedia/flac/{flac_1.4.3.bb => flac_1.5.0.bb} (11%)

diff --git a/meta/recipes-multimedia/flac/flac_1.4.3.bb b/meta/recipes-multimedia/flac/flac_1.5.0.bb
similarity index 11%
rename from meta/recipes-multimedia/flac/flac_1.4.3.bb
rename to meta/recipes-multimedia/flac/flac_1.5.0.bb
index 87b67bee1f..6ded131bf6 100644
--- a/meta/recipes-multimedia/flac/flac_1.4.3.bb
+++ b/meta/recipes-multimedia/flac/flac_1.5.0.bb
@@ -1,19 +1,274 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- COPYING.FDL
+# +++ COPYING.FDL
+# @@ -1,12 +1,12 @@
+# -		GNU Free Documentation License
+# -		  Version 1.2, November 2002
+# -
+# -
+# - Copyright (C) 2000,2001,2002  Free Software Foundation, Inc.
+# -     51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+# +
+# +                GNU Free Documentation License
+# +                 Version 1.3, 3 November 2008
+# +
+# +
+# + Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc.
+# +     <https://fsf.org/>
+#   Everyone is permitted to copy and distribute verbatim copies
+#   of this license document, but changing it is not allowed.
+# -
+#  
+#  0. PREAMBLE
+#  
+# @@ -50,11 +50,11 @@
+#  
+#  A "Secondary Section" is a named appendix or a front-matter section of
+#  the Document that deals exclusively with the relationship of the
+# -publishers or authors of the Document to the Document's overall subject
+# -(or to related matters) and contains nothing that could fall directly
+# -within that overall subject.  (Thus, if the Document is in part a
+# -textbook of mathematics, a Secondary Section may not explain any
+# -mathematics.)  The relationship could be a matter of historical
+# +publishers or authors of the Document to the Document's overall
+# +subject (or to related matters) and contains nothing that could fall
+# +directly within that overall subject.  (Thus, if the Document is in
+# +part a textbook of mathematics, a Secondary Section may not explain
+# +any mathematics.)  The relationship could be a matter of historical
+#  connection with the subject or with related matters, or of legal,
+#  commercial, philosophical, ethical or political position regarding
+#  them.
+# @@ -103,6 +103,9 @@
+#  the text near the most prominent appearance of the work's title,
+#  preceding the beginning of the body of the text.
+#  
+# +The "publisher" means any person or entity that distributes copies of
+# +the Document to the public.
+# +
+#  A section "Entitled XYZ" means a named subunit of the Document whose
+#  title either is precisely XYZ or contains XYZ in parentheses following
+#  text that translates XYZ in another language.  (Here XYZ stands for a
+# @@ -118,14 +121,13 @@
+#  implication that these Warranty Disclaimers may have is void and has
+#  no effect on the meaning of this License.
+#  
+# -
+#  2. VERBATIM COPYING
+#  
+#  You may copy and distribute the Document in any medium, either
+#  commercially or noncommercially, provided that this License, the
+#  copyright notices, and the license notice saying this License applies
+# -to the Document are reproduced in all copies, and that you add no other
+# -conditions whatsoever to those of this License.  You may not use
+# +to the Document are reproduced in all copies, and that you add no
+# +other conditions whatsoever to those of this License.  You may not use
+#  technical measures to obstruct or control the reading or further
+#  copying of the copies you make or distribute.  However, you may accept
+#  compensation in exchange for copies.  If you distribute a large enough
+# @@ -169,8 +171,9 @@
+#  edition to the public.
+#  
+#  It is requested, but not required, that you contact the authors of the
+# -Document well before redistributing any large number of copies, to give
+# -them a chance to provide you with an updated version of the Document.
+# +Document well before redistributing any large number of copies, to
+# +give them a chance to provide you with an updated version of the
+# +Document.
+#  
+#  
+#  4. MODIFICATIONS
+# @@ -285,16 +288,18 @@
+#  
+#  6. COLLECTIONS OF DOCUMENTS
+#  
+# -You may make a collection consisting of the Document and other documents
+# -released under this License, and replace the individual copies of this
+# -License in the various documents with a single copy that is included in
+# -the collection, provided that you follow the rules of this License for
+# -verbatim copying of each of the documents in all other respects.
+# -
+# -You may extract a single document from such a collection, and distribute
+# -it individually under this License, provided you insert a copy of this
+# -License into the extracted document, and follow this License in all
+# -other respects regarding verbatim copying of that document.
+# +You may make a collection consisting of the Document and other
+# +documents released under this License, and replace the individual
+# +copies of this License in the various documents with a single copy
+# +that is included in the collection, provided that you follow the rules
+# +of this License for verbatim copying of each of the documents in all
+# +other respects.
+# +
+# +You may extract a single document from such a collection, and
+# +distribute it individually under this License, provided you insert a
+# +copy of this License into the extracted document, and follow this
+# +License in all other respects regarding verbatim copying of that
+# +document.
+#  
+#  
+#  7. AGGREGATION WITH INDEPENDENT WORKS
+# @@ -340,22 +345,39 @@
+#  
+#  9. TERMINATION
+#  
+# -You may not copy, modify, sublicense, or distribute the Document except
+# -as expressly provided for under this License.  Any other attempt to
+# -copy, modify, sublicense or distribute the Document is void, and will
+# -automatically terminate your rights under this License.  However,
+# -parties who have received copies, or rights, from you under this
+# -License will not have their licenses terminated so long as such
+# -parties remain in full compliance.
+# +You may not copy, modify, sublicense, or distribute the Document
+# +except as expressly provided under this License.  Any attempt
+# +otherwise to copy, modify, sublicense, or distribute it is void, and
+# +will automatically terminate your rights under this License.
+# +
+# +However, if you cease all violation of this License, then your license
+# +from a particular copyright holder is reinstated (a) provisionally,
+# +unless and until the copyright holder explicitly and finally
+# +terminates your license, and (b) permanently, if the copyright holder
+# +fails to notify you of the violation by some reasonable means prior to
+# +60 days after the cessation.
+# +
+# +Moreover, your license from a particular copyright holder is
+# +reinstated permanently if the copyright holder notifies you of the
+# +violation by some reasonable means, this is the first time you have
+# +received notice of violation of this License (for any work) from that
+# +copyright holder, and you cure the violation prior to 30 days after
+# +your receipt of the notice.
+# +
+# +Termination of your rights under this section does not terminate the
+# +licenses of parties who have received copies or rights from you under
+# +this License.  If your rights have been terminated and not permanently
+# +reinstated, receipt of a copy of some or all of the same material does
+# +not give you any rights to use it.
+#  
+#  
+#  10. FUTURE REVISIONS OF THIS LICENSE
+#  
+# -The Free Software Foundation may publish new, revised versions
+# -of the GNU Free Documentation License from time to time.  Such new
+# -versions will be similar in spirit to the present version, but may
+# -differ in detail to address new problems or concerns.  See
+# -http://www.gnu.org/copyleft/.
+# +The Free Software Foundation may publish new, revised versions of the
+# +GNU Free Documentation License from time to time.  Such new versions
+# +will be similar in spirit to the present version, but may differ in
+# +detail to address new problems or concerns.  See
+# +https://www.gnu.org/licenses/.
+#  
+#  Each version of the License is given a distinguishing version number.
+#  If the Document specifies that a particular numbered version of this
+# @@ -364,7 +386,39 @@
+#  of any later version that has been published (not as a draft) by the
+#  Free Software Foundation.  If the Document does not specify a version
+#  number of this License, you may choose any version ever published (not
+# -as a draft) by the Free Software Foundation.
+# +as a draft) by the Free Software Foundation.  If the Document
+# +specifies that a proxy can decide which future versions of this
+# +License can be used, that proxy's public statement of acceptance of a
+# +version permanently authorizes you to choose that version for the
+# +Document.
+# +
+# +11. RELICENSING
+# +
+# +"Massive Multiauthor Collaboration Site" (or "MMC Site") means any
+# +World Wide Web server that publishes copyrightable works and also
+# +provides prominent facilities for anybody to edit those works.  A
+# +public wiki that anybody can edit is an example of such a server.  A
+# +"Massive Multiauthor Collaboration" (or "MMC") contained in the site
+# +means any set of copyrightable works thus published on the MMC site.
+# +
+# +"CC-BY-SA" means the Creative Commons Attribution-Share Alike 3.0
+# +license published by Creative Commons Corporation, a not-for-profit
+# +corporation with a principal place of business in San Francisco,
+# +California, as well as future copyleft versions of that license
+# +published by that same organization.
+# +
+# +"Incorporate" means to publish or republish a Document, in whole or in
+# +part, as part of another Document.
+# +
+# +An MMC is "eligible for relicensing" if it is licensed under this
+# +License, and if all works that were first published under this License
+# +somewhere other than this MMC, and subsequently incorporated in whole or
+# +in part into the MMC, (1) had no cover texts or invariant sections, and
+# +(2) were thus incorporated prior to November 1, 2008.
+# +
+# +The operator of an MMC Site may republish an MMC contained in the site
+# +under CC-BY-SA on the same site at any time before August 1, 2009,
+# +provided the MMC is eligible for relicensing.
+#  
+#  
+#  ADDENDUM: How to use this License for your documents
+# @@ -375,7 +429,7 @@
+#  
+#      Copyright (c)  YEAR  YOUR NAME.
+#      Permission is granted to copy, distribute and/or modify this document
+# -    under the terms of the GNU Free Documentation License, Version 1.2
+# +    under the terms of the GNU Free Documentation License, Version 1.3
+#      or any later version published by the Free Software Foundation;
+#      with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
+#      A copy of the license is included in the section entitled "GNU
+# @@ -394,4 +448,4 @@
+#  If your document contains nontrivial examples of program code, we
+#  recommend releasing these examples in parallel under your choice of
+#  free software license, such as the GNU General Public License,
+# -to permit their use in free software.
+# +to permit their use in free software.--- src/Makefile.am
+# +++ src/Makefile.am
+# @@ -1,6 +1,6 @@
+#  #  FLAC - Free Lossless Audio Codec
+#  #  Copyright (C) 2001-2009  Josh Coalson
+# -#  Copyright (C) 2011-2023  Xiph.Org Foundation
+# +#  Copyright (C) 2011-2025  Xiph.Org Foundation
+#  #
+#  #  This file is part the FLAC project.  FLAC is comprised of several
+#  #  components distributed under different licenses.  The codec libraries
+# --- src/flac/main.c
+# +++ src/flac/main.c
+# @@ -1,6 +1,6 @@
+#  /* flac - Command-line FLAC encoder/decoder
+#   * Copyright (C) 2000-2009  Josh Coalson
+# - * Copyright (C) 2011-2023  Xiph.Org Foundation
+# + * Copyright (C) 2011-2025  Xiph.Org Foundation
+#   *
+#   * This program is free software; you can redistribute it and/or
+#   * modify it under the terms of the GNU General Public License
+# --- COPYING.Xiph
+# +++ COPYING.Xiph
+# @@ -1,5 +1,5 @@
+#  Copyright (C) 2000-2009  Josh Coalson
+# -Copyright (C) 2011-2023  Xiph.Org Foundation
+# +Copyright (C) 2011-2025  Xiph.Org Foundation
+#  
+#  Redistribution and use in source and binary forms, with or without
+#  modification, are permitted provided that the following conditions
+# 
+#
+
 SUMMARY = "Free Lossless Audio Codec"
 DESCRIPTION = "FLAC stands for Free Lossless Audio Codec, a lossless audio compression format."
 HOMEPAGE = "https://xiph.org/flac/"
 BUGTRACKER = "https://github.com/xiph/flac/issues"
 SECTION = "libs"
 LICENSE = "GFDL-1.2 & GPL-2.0-or-later & LGPL-2.1-or-later & BSD-3-Clause"
-LIC_FILES_CHKSUM = "file://COPYING.FDL;md5=ad1419ecc56e060eccf8184a87c4285f \
-                    file://src/Makefile.am;beginline=1;endline=17;md5=b1dab2704be7f01bfbd9b7f6d5f000a9 \
+LIC_FILES_CHKSUM = "file://COPYING.FDL;md5=802e79e394e372d01e863e3f4058cf40 \
+                    file://src/Makefile.am;beginline=1;endline=17;md5=9c882153132df8f3a1cb1a8ca1f2350f \
                     file://COPYING.GPL;md5=b234ee4d69f5fce4486a80fdaf4a4263 \
-                    file://src/flac/main.c;beginline=1;endline=18;md5=23099119c034d894bd1bf7ef5bd22101 \
+                    file://src/flac/main.c;beginline=1;endline=18;md5=1e826b5083ba1e028852fe7ceec6a8ad \
                     file://COPYING.LGPL;md5=fbc093901857fcd118f065f900982c24 \
-                    file://COPYING.Xiph;md5=0c90e41ab2fa7e69ca9391330d870221 \
-                    file://include/FLAC/all.h;beginline=65;endline=70;md5=39aaf5e03c7364363884c8b8ddda8eea"
+                    file://COPYING.Xiph;md5=78a131b2ea50675d245d280ccc34f8b6 \
+                    file://include/FLAC/all.h;beginline=65;endline=70;md5=39aaf5e03c7364363884c8b8ddda8eea \
+                    "
 
 SRC_URI = "http://downloads.xiph.org/releases/flac/${BP}.tar.xz"
-SRC_URI[sha256sum] = "6c58e69cd22348f441b861092b825e591d0b822e106de6eb0ee4d05d27205b70"
+SRC_URI[sha256sum] = "f2c1c76592a82ffff8413ba3c4a1299b6c7ab06c734dee03fd88630485c2b920"
 
 CVE_PRODUCT = "libflac flac"
 
-- 
2.44.1

